Vulnerability Name:

CVE-2015-4852

Assigned:2015-06-24
Published:2015-11-18
Updated:2017-09-29
Summary:The WLS Security component in Oracle WebLogic Server 10.3.6.0, 12.1.2.0, 12.1.3.0, and 12.2.1.0 allows remote attackers to execute arbitrary commands via a crafted serialized Java object in T3 protocol traffic to TCP port 7001, related to oracle_common/modules/com.bea.core.apache.commons.collections.jar. NOTE: the scope of this CVE is limited to the WebLogic Server product.
CVSS v3 Severity:7.3 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:7.5 High (CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-77
References:Source: MISC
Type: UNKNOWN
http://foxglovesecurity.com/2015/11/06/what-do-weblogic-websphere-jboss-jenkins-opennms-and-your-application-have-in-common-this-vulnerability/

Source: MLIST
Type: VENDOR_ADVISORY
http://www.openwall.com/lists/oss-security/2015/11/17/19

Source: CONFIRM
Type: UNKNOWN
http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html

Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html

Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/topics/security/alert-cve-2015-4852-2763333.html

Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html

Source: BID
Type: UNKNOWN
77539

Source: SECTRACK
Type: UNKNOWN
1038292

Source: CONFIRM
Type: VENDOR_ADVISORY
https://blogs.oracle.com/security/entry/security_alert_cve_2015_4852

Source: MISC
Type: UNKNOWN
https://github.com/foxglovesec/JavaUnserializeExploits/blob/master/weblogic.py

Source: EXPLOIT-DB
Type: UNKNOWN
42806

Vulnerable Configuration:Configuration 1:
  • cpe:/a:oracle:virtual_desktop_infrastructure:3.5.2:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/a:oracle:weblogic_server:10.3.6.0:*:*:*:*:*:*:*
  • OR cpe:/a:oracle:weblogic_server:12.2.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:oracle:weblogic_server:12.1.3.0:*:*:*:*:*:*:*
  • OR cpe:/a:oracle:weblogic_server:12.1.2.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.precise:def:20154852000
    V
    CVE-2015-4852 on Ubuntu 12.04 LTS (precise) - low.
    2015-11-18
    oval:com.ubuntu.trusty:def:20154852000
    V
    CVE-2015-4852 on Ubuntu 14.04 LTS (trusty) - low.
    2015-11-18
    oval:com.ubuntu.xenial:def:20154852000
    V
    CVE-2015-4852 on Ubuntu 16.04 LTS (xenial) - low.
    2015-11-18
    BACK
    oracle virtual_desktop_infrastructure 3.5.2
    oracle weblogic_server 10.3.6.0
    oracle weblogic_server 12.2.1.0
    oracle weblogic_server 12.1.3.0
    oracle weblogic_server 12.1.2.0